Product comparison · 2 wireless routers

NETGEAR D7000 wireless router Gigabit Ethernet Dual-band (2.4 GHz vs TP-Link Archer D20 AC750

Add a product
  • 26specifications compared
  • 10differ
  • 16identical
  • 61known for one product only

Key differences

  • Ethernet LAN interface type
    • D7000 wireless router Gigabit Ethernet Dual-band (2.4 GHz:Gigabit Ethernet
    • Archer D20 AC750:Fast Ethernet
  • Ethernet LAN data rates
    • D7000 wireless router Gigabit Ethernet Dual-band (2.4 GHz:10,100,1000 Mbit/s
    • Archer D20 AC750:10,100 Mbit/s
  • Cabling technology
    • D7000 wireless router Gigabit Ethernet Dual-band (2.4 GHz:10/100/1000Base-T(X)
    • Archer D20 AC750:10/100Base-T(X)
  • Ethernet LAN (RJ-45) ports
    • D7000 wireless router Gigabit Ethernet Dual-band (2.4 GHz:5
    • Archer D20 AC750:4
  • Antennas quantity
    • D7000 wireless router Gigabit Ethernet Dual-band (2.4 GHz:3
    • Archer D20 AC750:2
  • Depth
    • D7000 wireless router Gigabit Ethernet Dual-band (2.4 GHz:185 mm
    • Archer D20 AC750:141 mm
  • Height
    • D7000 wireless router Gigabit Ethernet Dual-band (2.4 GHz:50 mm
    • Archer D20 AC750:33.7 mm
  • Width
    • D7000 wireless router Gigabit Ethernet Dual-band (2.4 GHz:285 mm
    • Archer D20 AC750:202 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of D7000, Archer D20 AC750
87 specifications
WAN connectionidentical
Ethernet WANKnown for oneYesUnknown — not stated by the source
DSL WANKnown for oneYesUnknown — not stated by the source
SIM card slotKnown for oneNoUnknown — not stated by the source
3G/4G USB modem compatibilityKnown for oneNoUnknown — not stated by the source
Wireless LAN featuresidentical
Wi-Fi bandDual-band (2.4 GHz / 5 GHz)Dual-band (2.4 GHz / 5 GHz)
Top Wi-Fi standardKnown for oneWi-Fi 5 (802.11ac)Unknown — not stated by the source
WLAN data transfer rate (max)Known for one1300 Mbit/sUnknown — not stated by the source
Wi-Fi standardsKnown for one802.11a, Wi-Fi 5 (802.11ac), 802.11b, 802.11g, Wi-Fi 4 (802.11n)Unknown — not stated by the source
ModulationKnown for onePSKUnknown — not stated by the source
Network3 differ
Ethernet LANYesYes
Ethernet LAN interface typeDiffersGigabit EthernetFast Ethernet
Ethernet LAN data ratesDiffers10,100,1000 Mbit/s10,100 Mbit/s
Cabling technologyDiffers10/100/1000Base-T(X)10/100Base-T(X)
Networking standardsIEEE 802.11a, IEEE 802.11ac, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.3, IEEE 802.3ab, IEEE 802.3uIEEE 802.11a, IEEE 802.11ac, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.3, IEEE 802.3ab, IEEE 802.3u
VPN tunnels quantityKnown for oneUnknown — not stated by the source10
VPN supportKnown for oneUnknown — not stated by the sourcePPTP, L2TP, IPSec Passthrough
Mobile networkidentical
3GKnown for oneNoUnknown — not stated by the source
4GKnown for oneNoUnknown — not stated by the source
DSL featuresidentical
ADSLKnown for oneYesUnknown — not stated by the source
ADSL2+Known for oneYesUnknown — not stated by the source
VDSLKnown for oneYesUnknown — not stated by the source
VDSL2Known for oneYesUnknown — not stated by the source
DSL specificationKnown for oneVDSL, VDSL2, ADSL, ADSL2, ADSL2+Unknown — not stated by the source
Internal modemKnown for oneYesUnknown — not stated by the source
Ports & interfaces1 differ
Ethernet LAN (RJ-45) portsDiffers54
USB portYesYes
USB 3.2 Gen 1 (3.1 Gen 1) Type-A ports quantityKnown for one3Unknown — not stated by the source
Memory card slot(s)Known for oneNoUnknown — not stated by the source
DC-in jackYesYes
RJ-11 ports quantityKnown for oneUnknown — not stated by the source1
Security1 differ
Security algorithmsDiffersWPA, WPA2-PSK, WPS128-bit WEP, 64-bit WEP, WPA, WPA-PSK, WPA2, WPA2-PSK
FirewallYesYes
Firewall securityKnown for oneSPI, NATUnknown — not stated by the source
Stateful Packet Inspection (SPI)Known for oneYesUnknown — not stated by the source
DoS attack preventionYesYes
Parental controlKnown for oneYesUnknown — not stated by the source
FilteringYesYes
Network address translation (NAT)Known for oneYesUnknown — not stated by the source
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
IP address filteringKnown for oneUnknown — not stated by the sourceYes
URL filteringKnown for oneUnknown — not stated by the sourceYes
Protocols1 differ
Supported network protocolsDiffersIPv6ATM Forum UNI3.1/4.0, PPP over ATM (RFC 2364), PPP over Ethernet (RFC2516), IPoA (RFC1577/2225), MER\IPoE (RFC 1483 Routed), Bridge (RFC1483 Bridge), PVC
DHCP clientKnown for oneUnknown — not stated by the sourceYes
DHCP serverKnown for oneUnknown — not stated by the sourceYes
Universal Plug and Play (UPnP)Known for oneUnknown — not stated by the sourceYes
Management protocolsKnown for oneUnknown — not stated by the sourceSSL for TR-069, SNMP v1/2c
Data link protocolsKnown for oneUnknown — not stated by the sourceIPv4, IPv6
Designidentical
Product typeKnown for oneTabletop routerUnknown — not stated by the source
Product colourBlackBlack
Housing materialKnown for onePlasticUnknown — not stated by the source
Wall mountableKnown for oneYesUnknown — not stated by the source
LED indicatorsYesYes
On/off switchYesYes
Packaging contentidentical
Cables includedLAN (RJ-45), Phone (RJ-11)LAN (RJ-45), Phone (RJ-11)
AC adapter includedYesYes
Antenna includedKnown for oneYesUnknown — not stated by the source
Quick start guideYesYes
Antenna1 differ
Antenna designExternalExternal
Antennas quantityDiffers32
Detachable antenna(s)YesYes
Transmit powerKnown for oneUnknown — not stated by the source0 dBmW
Featuresidentical
Processor frequencyKnown for one1000 MHzUnknown — not stated by the source
Processor coresKnown for one2Unknown — not stated by the source
Internal memoryKnown for one256 MBUnknown — not stated by the source
Flash memoryKnown for one128 MBUnknown — not stated by the source
Poweridentical
Power source typeKnown for oneACUnknown — not stated by the source
System requirementsidentical
Windows operating systems supportedKnown for oneWindows 2000, Windows 7, Windows 8, Windows Vista, Windows XPUnknown — not stated by the source
Linux operating systems supportedKnown for oneYesUnknown — not stated by the source
Mac operating systems supportedKnown for oneYesUnknown — not stated by the source
Weight & dimensions3 differ
DepthDiffers185 mm141 mm
HeightDiffers50 mm33.7 mm
WeightKnown for one750 gUnknown — not stated by the source
WidthDiffers285 mm202 mm
Packaging dataidentical
Package typeKnown for oneBoxUnknown — not stated by the source
Management featuresidentical
Web-based managementKnown for oneUnknown — not stated by the sourceYes
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Reset buttonKnown for oneUnknown — not stated by the sourceYes
Certificatesidentical
CertificationKnown for oneUnknown — not stated by the sourceCE, FCC, RCM, RoHS
Operational conditionsidentical
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source10 - 90%
Operating temperature (T-T)Known for oneUnknown — not stated by the source0 - 40 °C
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 90%
Storage temperature (T-T)Known for oneUnknown — not stated by the source-40 - 70 °C
Other featuresidentical
Frequency bandKnown for oneUnknown — not stated by the source2.4 & 5
Rack mountingKnown for oneUnknown — not stated by the sourceNo
USB ports quantityKnown for oneUnknown — not stated by the source1
USB versionKnown for oneUnknown — not stated by the source1.1
xDSL connectionKnown for oneUnknown — not stated by the sourceYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wireless router comparisons

All wireless router comparisons